# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "gpgme"
  s.version = "2.0.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Daiki Ueno", "Albert Llop"]
  s.date = "2013-03-05"
  s.description = "Ruby-GPGME is a Ruby language binding of GPGME (GnuPG\nMade Easy). GnuPG Made Easy (GPGME) is a library designed to make access to\nGnuPG easier for applications. It provides a High-Level Crypto API for\nencryption, decryption, signing, signature verification and key management."
  s.email = "ueno@gnu.org"
  s.extensions = ["ext/gpgme/extconf.rb"]
  s.files = ["lib/gpgme.rb", "lib/gpgme/error.rb", "lib/gpgme/version.rb", "lib/gpgme/signature.rb", "lib/gpgme/engine.rb", "lib/gpgme/key.rb", "lib/gpgme/misc.rb", "lib/gpgme/data.rb", "lib/gpgme/io_callbacks.rb", "lib/gpgme/key_sig.rb", "lib/gpgme/constants.rb", "lib/gpgme/sub_key.rb", "lib/gpgme/compat.rb", "lib/gpgme/key_common.rb", "lib/gpgme/ctx.rb", "lib/gpgme/crypto.rb", "lib/gpgme/user_id.rb", "ext/gpgme/libassuan-2.1.0.tar.bz2", "ext/gpgme/gpgme_n.c", "ext/gpgme/extconf.rb", "ext/gpgme/libgpg-error-1.11.tar.gz", "ext/gpgme/libgpg-error-1.11.tar.bz2", "ext/gpgme/gpgme-1.4.0.tar.bz2", "test/key_test.rb", "test/sub_key_test.rb", "test/test_helper.rb", "test/data_test.rb", "test/crypto_test.rb", "test/gpgme_test.rb", "test/signature_test.rb", "test/support/resources.rb", "test/ctx_test.rb", "test/files/testkey_sec.gpg", "test/files/testkey_pub.gpg", "examples/sign.rb", "examples/roundtrip.rb", "examples/verify.rb", "examples/genkey.rb", "examples/keylist.rb", "examples/edit.rb"]
  s.homepage = "http://github.com/ueno/ruby-gpgme"
  s.require_paths = ["lib", "ext"]
  s.rubyforge_project = "ruby-gpgme"
  s.rubygems_version = "1.8.23"
  s.summary = "Ruby binding of GPGME."

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<mocha>, ["~> 0.9.12"])
      s.add_development_dependency(%q<minitest>, ["~> 2.1.0"])
      s.add_development_dependency(%q<yard>, ["~> 0.6.7"])
      s.add_development_dependency(%q<rcov>, ["~> 0.9.9"])
      s.add_development_dependency(%q<ruby-debug19>, ["~> 0.11.6"])
    else
      s.add_dependency(%q<mocha>, ["~> 0.9.12"])
      s.add_dependency(%q<minitest>, ["~> 2.1.0"])
      s.add_dependency(%q<yard>, ["~> 0.6.7"])
      s.add_dependency(%q<rcov>, ["~> 0.9.9"])
      s.add_dependency(%q<ruby-debug19>, ["~> 0.11.6"])
    end
  else
    s.add_dependency(%q<mocha>, ["~> 0.9.12"])
    s.add_dependency(%q<minitest>, ["~> 2.1.0"])
    s.add_dependency(%q<yard>, ["~> 0.6.7"])
    s.add_dependency(%q<rcov>, ["~> 0.9.9"])
    s.add_dependency(%q<ruby-debug19>, ["~> 0.11.6"])
  end
end
